呼出任务

任务详情

GET/openapi/tasks/{taskID}

请求

参数

taskIDstring必需

路径参数 · 任务ID

响应

200 OK
idinteger必需

任务ID

createdAtstring必需

任务创建时间

updatedAtstring必需

任务更新时间

namestring必需

任务名称

statusstring必需

任务状态

pendingrunningstop.operatestop.timeoutstop.abnormaldone
totalinteger必需

任务号码总数

progressinteger必需

百分比

collectionRateinteger必需

百分比

optionobject必需

任务选项

numberFileMetaobject必需
号码integer必需
备注integer必需
姓名integer必需
numbersinteger[]必需
startDatestring必需

开始日期

startTimestring[][]必需

任务执行时间段

retryCountinteger必需

重试次数

retryIntervalinteger必需

重试间隔时间

summarystring必需

任务总结

suggestionstring必需

任务建议

assistantVidinteger必需

使用的助手版本ID

assistantobject必需

使用的助手

idinteger必需
projectIdinteger必需
namestring必需
versionIdinteger必需
scenestring必需
speakerIdinteger必需
websocketUrlstring必需
websocketTokenstring必需
listenerIdinteger必需
welcomestring必需
promptstring必需
collectobject[]必需
[].questionstring
[].answersstring[]
knowledgestring必需
createdAtstring必需
updatedAtstring必需
creatorobject必需
emailstring必需
deletedAtnull必需
idOldVersionboolean必需
usageCountinteger必需
creatorIdinteger必需

示例代码

curl -X GET 'https://openapi.voicefox.cn/openapi/tasks/{taskID}' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  -H 'Content-Type: application/json'

响应示例

{
  "id": 0,
  "createdAt": "任务创建时间",
  "updatedAt": "任务更新时间",
  "name": "任务名称",
  "status": "pending",
  "total": 0,
  "progress": 0,
  "collectionRate": 0,
  "option": {
    "numberFileMeta": {
      "号码": 0,
      "备注": 0,
      "姓名": 0
    },
    "numbers": [
      0
    ],
    "startDate": "开始日期",
    "startTime": [
      [
        "string"
      ]
    ],
    "retryCount": 0,
    "retryInterval": 0
  },
  "summary": "任务总结",
  "suggestion": "任务建议",
  "assistantVid": 0,
  "assistant": {
    "id": 0,
    "projectId": 0,
    "name": "string",
    "versionId": 0,
    "scene": "string",
    "speakerId": 0,
    "websocketUrl": "string",
    "websocketToken": "string",
    "listenerId": 0,
    "welcome": "string",
    "prompt": "string",
    "collect": [
      {
        "question": "string",
        "answers": [
          "string"
        ]
      }
    ],
    "knowledge": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "creator": {
      "email": "string"
    },
    "deletedAt": null,
    "idOldVersion": false,
    "usageCount": 0,
    "creatorId": 0
  }
}